﻿#!/perl/bin/perl
#
# 以下、自分の環境に合わせて修正すること
#
########################################################################
# インストール場所関連
########################################################################
#
# C:\OneSegWWW\httpd-doc が公開フォルダで、そこに本スクリプトをおいた場合の設定例です。
$BaseDir 	= 'C:\OneSegWWW';
$log_folder	= $BaseDir . '\log';
$CacheDir	= $BaseDir . '\cache';
$ShotDir	= $BaseDir . '\httpd-doc\simg';
$mp4_folder	= $BaseDir . '\httpd-doc\mp4';
$mp4_URL	= '/mp4/';
$jpg_URL	= '/simg/';
#
# 以下は、mp4を作る場合必要。
$TSConverter	= $BaseDir . '\bin\TSConverter';
$MP4Box		= $BaseDir . '\bin\MP4Box.exe';
$FFMpeg		= $BaseDir . '\bin\ffmpeg.exe';
$AACEnc		= $BaseDir . '\bin\neroAacEnc.exe';
$AACDec		= $BaseDir . '\bin\neroAacDec.exe';
#
########################################################################
# 331氏のサムネイル、字幕、MP4Archiver関連
# 
# 有効にするには、331氏のスクリプト群が必要です！
########################################################################
#
# サムネイルを有効にする yes=1, no=0
$Thumb = 0;
#
# 字幕を有効にする yes=1, no=0
$Caption = 0;
#
# MP4Archiver機能を有効にする yes=1, no=0
$MP4Archiver = 0;
#
# サムネイル画像を $ExpireShot の期間を超えたら削除する yes=1, no=0
$CleanShot = 0;
#
# サムネイルファイル格納ディレクトリ
$ThmDir	= $BaseDir . '\httpd-doc\thm';
#
# サムネイルのURL
$Thm_URL = '/thm';
#
# 番組勢いグラフデータファイル格納ディレクトリ
$IDir	= $BaseDir . '\httpd-doc\ikioi';
#
# 番組勢いグラフを有効にする yes=1, no=0
$IkioiGraph = 0;
#
# 番組勢いレス数表示を有効にする yes=1, no=0
$IkioiRes = 0;
#
# 番組勢いグラフデータファイルを $ExpireShot の期間を超えたら削除する yes=1, no=0
$CleanIkioi = 0;
#
########################################################################
# 番組表関連
########################################################################
#
# 以下、nss.pl作者さまの解析結果より抜粋を含みます。
# msn tvのエリアコード、666氏が調べてくれました。感謝
#
# area設定
# 001->北海道002->青森　003->岩手　004->宮城　005->秋田　006->山形 
# 007->福島　008->茨城　009->栃木　010->群馬　011->埼玉　012- 千葉 
# 013->東京　014->神奈川015->新潟　016->富山　017->石川　018->福井 
# 019->山梨　020->長野　021->岐阜　022->静岡　023->愛知　024->三重 
# 025->滋賀　026->京都　027->大阪　028->兵庫　029->奈良　030->和歌山 
# 031->鳥取　032->島根　033->岡山　034->広島　035->山口　036->徳島 
# 037->香川　038->愛媛　039->高知　040->福岡　041->佐賀　042->長崎 
# 043->熊本　044->大分　045->宮崎　046->鹿児島047->沖縄 
#
$my_area = '013';	# 東京
#
#
# 地上波、UHF, BSを含むか指定する。
#
# 時間別番組表の場合
#$tcategory='g';	# 地上波のみ
$tcategory='sg';	# UHF,BS含む。東京ＭＸを切り出したい場合これ。
#				# my_areaが11だと、千葉テレビが入る。
# 番組表検索の場合
#$category='g';	# 地上波のみ
$category='sg';	# UHF,BS含む。東京ＭＸを切り出したい場合これ。
#				# my_areaが011だと、千葉テレビが入る。
#
# 表示する放送局の個別指定。
# すべて表示する場合は、$ChAll_enable = 1; とする。
# 指定した放送局のみ結果として表示したい場合は、$ChAll_enable = 0;とし、
# $ch{'ステーションコード'} = '放送局名';を指定する。
# ステーションコードは、検索結果のＨＴＭＬを　station=　で検索すると見つかる。
#　　・ここが間違っていると、番組情報が表示されない。
# 放送局名は、時間別番組表の見出し（ヘッダー）部分となる。 
#　　・ここが間違っていると、放送局がまるまる表示されない。
#
# すべての放送局を表示するか？ yes=1, no=0
$ChAll_enable = 1;
#
# $ChAll_enable = 0; のとき、表示対象となる放送局を指定
$ch{'0031'} = 'NHK';
$ch{'0041'} = 'NHK教育';
$ch{'0004'} = '日本テレビ';
$ch{'0005'} = 'TBS';
$ch{'0006'} = 'フジテレビ';
$ch{'0007'} = 'テレビ朝日';
$ch{'0008'} = 'テレビ東京';
#
$ch{'0016'} = 'TOKYO MX';
# これを切り出したい場合、$category と $tcategory　を 'sg';
# としないと、ダメ。
#
# 検索範囲指定の日付を何日分表示するか。
# カレンダーの表示にも影響する
$start_date = 14;
#
# 番組検索結果にアイコンを使うか？
# 使う場合は 1 を設定。
$icon_enable = 1;
#
# 番組検索結果の番組説明を有効にするか？
# 有効にする場合 1 を設定。
# 有効だと、見づらいかもしれない。
$info_enable = 1;
#
########################################################################
# 時間別番組表関連
########################################################################
#
#「時間別番組表から直接選択して抽出」の、テレビ欄表示の下にもカレンダーを表示するか？
# 表示する = 1
# 従来通り = 0
$MoreCal = 0;
#
# 時間別番組表の開始時間。好みで変更
$startH = 5;
#$startH = 0;
#
# 時間別番組表のキャッシュを何時間保持するか？
$ExpireCache = 24;
#
########################################################################
# 番組表検索関連
########################################################################
#
# 番組表から検索して抽出のジャンルを簡易表示する場合、
# $TTSrhE = 1;
# 簡易表示しない場合、
# $TTSrhE = 0;
# とする。
$TTSrhE = 1;
#
$ExpireCacheT = 4;	# 番組表検索のキャッシュを何時間保持するか？
#
########################################################################
# 再生画面関連
########################################################################
#
# 再生画面の「CM送」ボタンの秒数
$CMSt = 13;
#
# 再生画面を開いたとき、動画のキャプチャを表示するか？
# する = 1
# しない = 0;
$ShotE = 1;
#
# プレイヤーを新しいウインドウで開く
# 新しいウインドウで開く = 1
# 従来通り = 0
$OpenNewWindow = 1;
#
########################################################################
# IEPG関連
########################################################################
#
# IEPG用の設定、必要な物は、適当に追加すること。
# チャンネル: 放送局名（カンマ区切で複数指定可）
@iepg_chan = (
"27:ＮＨＫ総合,NHK総合,ＮＨＫ,NHK",
"26:ＮＨＫ教育,NHK教育",
"25:日本テレビ",
"22:ＴＢＳテレビ,TBSテレビ,ＴＢＳ,TBS",
"21:フジテレビ",
"24:テレビ朝日",
"23:テレビ東京",
"20:ＭＸテレビ,MXテレビ"
);
#
# EPGのキャッシュを何時間保持するか？
$ExpireEPG = 24;
#
########################################################################
# 画面ショット関連
########################################################################
#
# 動画開始何秒目の動画をキャプチャするか？（最大50)
$ShotS = 17;
#
# 画面ショットを何日保持するか
$ExpireShot = 14;
#
########################################################################
# MP4エンコード関連
########################################################################
#
# TSConverter オプション
# $TSCO{チャンネル} = 'オプション';
$TSCO{27} = '-r -l';	# NHK総合
$TSCO{26} = '-r -l';	# NHK教育
$TSCO{25} = '-r -l';	# 日本テレビ
$TSCO{22} = '-r -l';	# TBSテレビ
$TSCO{21} = '-r -l';	# フジテレビ
$TSCO{24} = '-r -l';	# テレビ朝日
$TSCO{23} = '-r -l';	# テレビ東京
$TSCO{20} = '-r -l';	# MXテレビ
#
# ステーションコードとチャンネルの対応
# バッチエンコード時使用する
$chb{'0031'} = '27';	# NHK
$chb{'0041'} = '26';	# NHK教育
$chb{'0004'} = '25';	# 日本テレビ
$chb{'0005'} = '22';	# TBS
$chb{'0006'} = '21';	# フジテレビ
$chb{'0007'} = '24';	# テレビ朝日
$chb{'0008'} = '23';	# テレビ東京
$chb{'0016'} = '20';	# TOKYO MX
#
$ExpireDay = 14;	# 生成したmp4を何日保持するか？
#
# エンコード関連起動用
$startCmd = 'start /b /low /wait ';
#
# エンコードプロセスのタイムアウト(秒)
$gtimeout = 3600;
#
# エンコードプロセス終了用
$killCmd = 'taskkill /f /t /pid ';
#
# オフセット秒
# TSの切出、MP4エンコードなどにおいて、オフセットする開始時間（秒）を指定する。
# デフォルト５秒。なお、５秒単位に指定すること。
$oftim = '05';
#
$reload_time = 2;	# そのままでＯＫ
#
########################################################################
# iPod/iPhone関連
########################################################################
#
#iPod/iPhone用のMP4が不要な場合、$RwIPODをコメントアウトしてください。
$RwIPOD = '_ipod';
#
# iPod用エンコード方法
# 自分の局の状況にあわせて選択する
#
# $iencM{チャンネル} = 方法;
# 方法：
#   0....なにもしない
#   1....FFmpeg(映像がおかしい場合)
#   2....NeroAAC(音声がおかしい場合)
#   3....FFmpeg + NeroAAC(映像も音声もおかしい場合)
#

# OS2.2以下向けのMP4を作成したい場合は、以下を有効にし、OS3.0向けを削除してください。
# (デフォは、OS3.0向けが有効)

# OS2.2以下向け
#$iencM{27} = 3;	# NHK総合
#$iencM{26} = 3;	# NHK教育
#$iencM{25} = 2;	# 日本テレビ
#$iencM{22} = 0;	# TBSテレビ
#$iencM{21} = 1;	# フジテレビ
#$iencM{24} = 0;	# テレビ朝日
#$iencM{23} = 0;	# テレビ東京
#$iencM{20} = 0;	# MXテレビ

# OS3.0向け
# 再エンコの必要はないが、２カ国語放送と、MXテレビの一部の番組で音声に不具合あり。
# MXテレビに関しては、音ズレするが、「2」を指定すれば、一応いける。
$iencM{27} = 0;	# NHK総合
$iencM{26} = 0;	# NHK教育
$iencM{25} = 0;	# 日本テレビ
$iencM{22} = 0;	# TBSテレビ
$iencM{21} = 0;	# フジテレビ
$iencM{24} = 0;	# テレビ朝日
$iencM{23} = 0;	# テレビ東京
$iencM{20} = 0;	# MXテレビ

#
########################################################################
# WindowsCE関連
########################################################################
#
# Windows CEのOperaユーザーエージェント
# ht01aのみ検証、追加する場合は、「|」文字で複数指定。
# Opera 9.5以降のみ（Viewport対応ブラウザのみ)
$WMdevice = 'ht01a|x05ht';
#
# WM用CorePlayer指示
$cpName = '"\Program Files\CorePlayer\player.exe"';
#
# サーバにBasic認証をかけているなら、下記に指定する
#
# User
$cpUser = '';
#
# Pass
$cpPass = '';
#
########################################################################
# 雑多な設定
########################################################################
#
$Server = 'http://program.tv.jp.msn.com/';
#
# Proxyサーバの指定(必要なら)
#    http://ユーザ名:パスワード@Proxyサーバ:ポート
# のような形式で指定する。
# 認証なしなら、
#    http://Proxyサーバ:ポート
# と指定する
#$Proxy ='http://user:pass@proxy.server.name:8080';
#
#CGIの名前
$cginame = 'player.pl';
#$cginame = "http://$ENV{'SERVER_NAME'}/player.pl";
#
########################################################################
1;
